package com.gyee.runeconomy.model;

import com.fasterxml.jackson.annotation.JsonIgnore;

import java.io.Serializable;

/**
 * 温度点信息
 */
public class TemperatureItemInfo  implements Serializable {
    private String name;
    private TemperatureTagInfo temperatureTagInfo;

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    @JsonIgnore
    public TemperatureTagInfo getTemperatureTagInfo() {
        return temperatureTagInfo;
    }

    public void setTemperatureTagInfo(TemperatureTagInfo temperatureTagInfo) {
        this.temperatureTagInfo = temperatureTagInfo;
    }

    public TemperatureStatus getStatus() {
        return this.temperatureTagInfo.getStatus();
    }

    public double getValue() {
        return this.temperatureTagInfo.getValue();
    }
}
